Skip to content

rtp: OPERA Cloud Rate API

144 operations from Oracle’s published OHIP specifications (26.3.0.0). Each shows its HTTP method and path and the typed call on ctx.Ohip.Api. hotelId defaults to the invocation’s hotel.

Modify a Control Segment

PUT /rtp/v1/hotels/{hotelId}/controlSegments/{controlSegmentCode} · hotel-scoped

Task<Status?> ctx.Ohip.Api.Rtp.ChangeControlSegmentAsync(string controlSegmentCode, PropertyControlSegmentType body, string? hotelId = null, CancellationToken ct = default)

Change Rate Category

PUT /rtp/v1/hotels/{hotelId}/rateCategories · hotel-scoped

Task<Status?> ctx.Ohip.Api.Rtp.ChangeRateCategoryAsync(RateCategoryToBeChanged body, string? hotelId = null, CancellationToken ct = default)

Changes to rate class

PUT /rtp/v1/hotels/{hotelId}/rateClasses/{rateClassCode} · hotel-scoped

Task<Status?> ctx.Ohip.Api.Rtp.ChangeRateClassAsync(string rateClassCode, RateClassToBeChanged body, string? hotelId = null, CancellationToken ct = default)

Change Hotel Rate Seasons

PUT /rtp/v1/hotels/{hotelId}/rateSeasons/{seasonCode} · hotel-scoped

Task<Status?> ctx.Ohip.Api.Rtp.ChangeRateSeasonsAsync(string seasonCode, RateSeasonsToBeChanged body, string? hotelId = null, CancellationToken ct = default)

Change Control Segment Template

PUT /rtp/v1/controlSegmentTemplate/{controlSegmentCode} · chain-level

Task<Status?> ctx.Ohip.Api.Rtp.ChangeTemplateControlSegmentAsync(string controlSegmentCode, TemplateControlSegmentToBeChanged body, CancellationToken ct = default)

Change Template Rate Category

PUT /rtp/v1/templates/rateCategories/{rateCategoryCode} · chain-level

Task<Status?> ctx.Ohip.Api.Rtp.ChangeTemplateRateCategoryAsync(string rateCategoryCode, TemplateRateCategoryToBeChanged body, CancellationToken ct = default)

Change template rate class

PUT /rtp/v1/templates/rateClasses/{rateClassCode} · chain-level

Task<Status?> ctx.Ohip.Api.Rtp.ChangeTemplateRateClassAsync(string rateClassCode, TemplateRateClassToBeChanged body, CancellationToken ct = default)

Change Template Rate Seasons

PUT /rtp/v1/templates/rateSeasons/{seasonCode} · chain-level

Task<Status?> ctx.Ohip.Api.Rtp.ChangeTemplateRateSeasonsAsync(string seasonCode, TemplateRateSeasonsToBeChanged body, CancellationToken ct = default)

Create/Change Hotel Rate Seasons

PUT /rtp/v1/upsert/hotels/{hotelId}/rateSeasons/{seasonCode} · hotel-scoped

Task<Status?> ctx.Ohip.Api.Rtp.ChangeUpsertRateSeasonsAsync(string seasonCode, RateSeasonsToBeChanged body, string? hotelId = null, CancellationToken ct = default)

Copy package code(s)

PUT /rtp/v1/packages/copy · chain-level

Task<Status?> ctx.Ohip.Api.Rtp.CopyPackagesAsync(List<CopyPackageCodesType> body, CancellationToken ct = default)

Copy promotion groups

PUT /rtp/v1/hotels/{hotelId}/promotionGroups/copy · hotel-scoped

Task<Status?> ctx.Ohip.Api.Rtp.CopyPromotionGroupsAsync(PromotionGroupsCopy body, string? hotelId = null, CancellationToken ct = default)

Copy rate plans

PUT /rtp/v1/hotels/{hotelId}/ratePlans/{ratePlanCode}/copy · hotel-scoped

Task<RatePlansCopyDetails?> ctx.Ohip.Api.Rtp.CopyRatePlansAsync(string ratePlanCode, RatePlansCopy body, string? hotelId = null, CancellationToken ct = default)

Copy tiered rate schedules

PUT /rtp/v1/hotels/{hotelId}/ratePlans/{ratePlanCode}/sourceTiers/{sourceTierId}/destinationTiers/{destinationTierId}/schedules/copy · hotel-scoped

Task<Status?> ctx.Ohip.Api.Rtp.CopyTieredRateSchedulesAsync(string ratePlanCode, string sourceTierId, string destinationTierId, TieredRateSchedulesCopy body, string? hotelId = null, CancellationToken ct = default)

Delete Best Available Rates

DELETE /rtp/v1/hotels/{hotelId}/bestavailablerates · hotel-scoped

Task<Status?> ctx.Ohip.Api.Rtp.DeleteBestAvailableRatesAsync(string? hotelId = null, Action<BestavailableratesRequestBuilderDeleteQueryParameters>? query = null, CancellationToken ct = default)

Delete daily rate plan schedule range

DELETE /rtp/v1/hotels/{hotelId}/ratePlans/{ratePlanCode}/dailySchedules · hotel-scoped

Task<Status?> ctx.Ohip.Api.Rtp.DeleteDailyRatePlanScheduleRangeAsync(string ratePlanCode, string? hotelId = null, Action<DailySchedulesRequestBuilderDeleteQueryParameters>? query = null, CancellationToken ct = default)

Delete Display Sets

DELETE /rtp/v1/displaySets/{displaySetsId} · chain-level

Task<Status?> ctx.Ohip.Api.Rtp.DeleteDisplaySetsAsync(string displaySetsId, CancellationToken ct = default)

Delete Hotel Package Forecast Groups

DELETE /rtp/v1/hotels/{hotelId}/packageForecastGroups · hotel-scoped

Task<Status?> ctx.Ohip.Api.Rtp.DeleteHotelPackageForecastGroupsAsync(string? hotelId = null, string[]? code = null, CancellationToken ct = default)

Delete mass rate change log

DELETE /rtp/v1/hotels/{hotelId}/massRateChangeLog · hotel-scoped

Task<Status?> ctx.Ohip.Api.Rtp.DeleteMassRateChangeLogAsync(string? hotelId = null, CancellationToken ct = default)

Delete negotiated rates

DELETE /rtp/v1/hotels/{hotelId}/profiles/{profileId}/startDate/{startDate}/negotiatedRates/{ratePlanId} · hotel-scoped

Task<Status?> ctx.Ohip.Api.Rtp.DeleteNegotiatedRatesAsync(string profileId, string startDate, string ratePlanId, string? hotelId = null, CancellationToken ct = default)

Delete the package

DELETE /rtp/v1/hotels/{hotelId}/packages/{packageCode} · hotel-scoped

Task<Status?> ctx.Ohip.Api.Rtp.DeletePackageAsync(string packageCode, string? hotelId = null, CancellationToken ct = default)

Delete package formula ranges

DELETE /rtp/v1/hotels/{hotelId}/packageFormulaRanges/{packageFormulaRangeId} · hotel-scoped

Task<Status?> ctx.Ohip.Api.Rtp.DeletePackageFormulaRangesAsync(string packageFormulaRangeId, string? hotelId = null, double? amount = null, string? currencyCode = null, CancellationToken ct = default)

Delete package group

DELETE /rtp/v1/hotels/{hotelId}/packageGroups/{packageCode} · hotel-scoped

Task<Status?> ctx.Ohip.Api.Rtp.DeletePackageGroupsAsync(string packageCode, string? hotelId = null, CancellationToken ct = default)

Delete promotion groups

DELETE /rtp/v1/hotels/{hotelId}/promotionGroups/{groupCode} · hotel-scoped

Task<Status?> ctx.Ohip.Api.Rtp.DeletePromotionGroupAsync(string groupCode, string? hotelId = null, CancellationToken ct = default)

Delete rate access exclusions

DELETE /rtp/v1/hotels/{hotelId}/rateAccessExclusions · hotel-scoped

Task<Status?> ctx.Ohip.Api.Rtp.DeleteRateAccessExclusionsAsync(string? hotelId = null, Action<RateAccessExclusionsRequestBuilderDeleteQueryParameters>? query = null, CancellationToken ct = default)

Delete Rate Category

DELETE /rtp/v1/hotels/{hotelId}/rateCategories · hotel-scoped

Task<Status?> ctx.Ohip.Api.Rtp.DeleteRateCategoryAsync(string? hotelId = null, string? rateCategory = null, CancellationToken ct = default)

Delete rate class

DELETE /rtp/v1/hotels/{hotelId}/rateClasses/{rateClassCode} · hotel-scoped

Task<Status?> ctx.Ohip.Api.Rtp.DeleteRateClassAsync(string rateClassCode, string? hotelId = null, CancellationToken ct = default)

Delete rate groups

DELETE /rtp/v1/hotels/{hotelId}/rateGroups · hotel-scoped

Task<Status?> ctx.Ohip.Api.Rtp.DeleteRateGroupsAsync(string? hotelId = null, CancellationToken ct = default)

Delete rate plan

DELETE /rtp/v1/hotels/{hotelId}/ratePlans/{ratePlanCode} · hotel-scoped

Task<Status?> ctx.Ohip.Api.Rtp.DeleteRatePlanAsync(string ratePlanCode, string? hotelId = null, CancellationToken ct = default)

Delete rate plan packages

DELETE /rtp/v1/hotels/{hotelId}/ratePlans/{ratePlanCode}/packages · hotel-scoped

Task<Status?> ctx.Ohip.Api.Rtp.DeleteRatePlanPackagesAsync(string ratePlanCode, string? hotelId = null, string[]? packageCode = null, string[]? packageGroup = null, CancellationToken ct = default)

Delete rate plan posting rhythms

DELETE /rtp/v1/hotels/{hotelId}/ratePlans/{ratePlanCode}/postingRhythms · hotel-scoped

Task<Status?> ctx.Ohip.Api.Rtp.DeleteRatePlanPostingRhythmsAsync(string ratePlanCode, string? hotelId = null, string[]? code = null, CancellationToken ct = default)

Delete rate plan schedule

DELETE /rtp/v1/hotels/{hotelId}/ratePlans/{ratePlanCode}/schedules · hotel-scoped

Task<Status?> ctx.Ohip.Api.Rtp.DeleteRatePlanSchedulesAsync(string ratePlanCode, string? hotelId = null, Action<SchedulesRequestBuilderDeleteQueryParameters>? query = null, CancellationToken ct = default)

Delete rate strategies

DELETE /rtp/v1/hotels/{hotelId}/rateStrategies/{rateStrategyId} · hotel-scoped

Task<Status?> ctx.Ohip.Api.Rtp.DeleteRateStrategyAsync(string rateStrategyId, string? hotelId = null, CancellationToken ct = default)

Delete Template Package Forecast Groups

DELETE /rtp/v1/packageForecastGroups/{packageForecastGroupCode} · chain-level

Task<Status?> ctx.Ohip.Api.Rtp.DeleteTemplatePackageForecastGroupsAsync(string packageForecastGroupCode, CancellationToken ct = default)

Delete a Template Rate Category

DELETE /rtp/v1/templates/rateCategories/{rateCategoryCode} · chain-level

Task<Status?> ctx.Ohip.Api.Rtp.DeleteTemplateRateCategoryAsync(string rateCategoryCode, CancellationToken ct = default)

Delete template rate class

DELETE /rtp/v1/templates/rateClasses/{rateClassCode} · chain-level

Task<Status?> ctx.Ohip.Api.Rtp.DeleteTemplateRateClassAsync(string rateClassCode, CancellationToken ct = default)

Distribute negotiated rates

PUT /rtp/v1/hotels/{hotelId}/negotiatedRates/distributions · hotel-scoped

Task<Status?> ctx.Ohip.Api.Rtp.DistributeNegotiatedRatesAsync(DistributedNegotiatedRates body, string? hotelId = null, CancellationToken ct = default)

Generate package description with AI Author Service Proxy.

POST /rtp/v1/hotels/{hotelId}/packages/{packageCode}/text · hotel-scoped

Task<GeneratePackageCodeDescriptionResponse?> ctx.Ohip.Api.Rtp.GeneratePackageCodeDescriptionAsync(string packageCode, GeneratePackageCodeDescriptionRequest body, string? hotelId = null, CancellationToken ct = default)

Generate promotion coupon codes

POST /rtp/v1/hotels/{hotelId}/promotionCodes/{promotionCode}/coupons · hotel-scoped

Task<GeneratedCouponCodeDetails?> ctx.Ohip.Api.Rtp.GeneratePromotionCouponCodesAsync(string promotionCode, GeneratePromotionCouponCodes body, string? hotelId = null, CancellationToken ct = default)

Generate template promotion coupon codes

POST /rtp/v1/promotionCodes/{promotionCode}/coupons · chain-level

Task<GeneratedCouponCodeDetails?> ctx.Ohip.Api.Rtp.GenerateTemplatePromotionCouponCodesAsync(string promotionCode, GeneratePromotionCouponCodes body, CancellationToken ct = default)

Fetch Best Available Rates

GET /rtp/v1/hotels/{hotelId}/bestavailablerates · hotel-scoped

Task<GetBestAvailableRatesDetails?> ctx.Ohip.Api.Rtp.GetBestAvailableRatesAsync(string? hotelId = null, GetDaysOfWeekQueryParameterType[]? daysOfWeek = null, Date? endDay = null, GetLengthOfStayQueryParameterType[]? lengthOfStay = null, int? limit = null, int? offset = null, string[]? rateCode = null, Date? startDay = null, CancellationToken ct = default)

Get Control Segments

GET /rtp/v1/controlSegments · chain-level

Task<ControlSegmentsDetails?> ctx.Ohip.Api.Rtp.GetControlSegmentsAsync(string[]? controlSegmentCodes = null, string[]? hotelIds = null, bool? includeInactive = null, int? limit = null, string[]? membershipLevel = null, string? membershipType = null, int? pageNumber = null, CancellationToken ct = default)

Get Display Sets

GET /rtp/v1/displaySets · chain-level

Task<DisplaySetsDetails?> ctx.Ohip.Api.Rtp.GetDisplaySetsAsync(string[]? codes = null, string? description = null, bool? fetchInactive = null, string? wildCard = null, CancellationToken ct = default)

Get Hotel Package Forecast Groups

GET /rtp/v1/hotels/{hotelId}/packageForecastGroups · hotel-scoped

Task<HotelPackageForecastGroups?> ctx.Ohip.Api.Rtp.GetHotelPackageForecastGroupsAsync(string? hotelId = null, string[]? hotelIds = null, bool? includeInactive = null, int? limit = null, int? offset = null, string[]? packageForecastGroupCodes = null, string? wildCard = null, CancellationToken ct = default)

Get mass rate change status

GET /rtp/v1/hotels/{hotelId}/massRateChangeStatus · hotel-scoped

Task<MassRateChangeStatus?> ctx.Ohip.Api.Rtp.GetMassRateChangeStatusAsync(string? hotelId = null, bool? detailStatus = null, CancellationToken ct = default)

Get negotiated rates and profiles

GET /rtp/v1/hotels/{hotelId}/negotiatedRates · hotel-scoped

Task<NegotiatedRates?> ctx.Ohip.Api.Rtp.GetNegotiatedRatesAsync(string? hotelId = null, Date? endDate = null, GetFetchInstructionsQueryParameterType[]? fetchInstructions = null, int? fetchInstructionsLimit = null, bool? includeInactiveNegotiatedRates = null, int? limit = null, int? offset = null, Date? startDate = null, CancellationToken ct = default)

Fetch Negotiated Rates

GET /rtp/v1/hotels/{hotelId}/negotiatedRates/{rateCode}/profiles · hotel-scoped

Task<NegotiatedRates?> ctx.Ohip.Api.Rtp.GetNegotiatedRatesForGivenHotelAndRateAsync(string rateCode, string? hotelId = null, Date? endDate = null, GetFetchInstructionsQueryParameterType[]? fetchInstructions = null, int? fetchInstructionsLimit = null, bool? includeInactiveNegotiatedRates = null, int? limit = null, int? offset = null, Date? startDate = null, CancellationToken ct = default)

Get negotiated rate details for given profile

GET /rtp/v1/profiles/{profileId}/negotiatedRates · chain-level

Task<NegotiatedRates?> ctx.Ohip.Api.Rtp.GetNegotiatedRatesForGivenProfileAsync(string profileId, Action<NegotiatedRatesRequestBuilderGetQueryParameters>? query = null, CancellationToken ct = default)

Get package for given package

GET /rtp/v1/hotels/{hotelId}/packages/{packageCode} · hotel-scoped

Task<PackageInfo?> ctx.Ohip.Api.Rtp.GetPackageAsync(string packageCode, string? hotelId = null, GetFetchInstructionsQueryParameterType[]? fetchInstructions = null, CancellationToken ct = default)

Get package formula ranges

GET /rtp/v1/hotels/{hotelId}/packageFormulaRanges · hotel-scoped

Task<PackageFormulaRanges?> ctx.Ohip.Api.Rtp.GetPackageFormulaRangesAsync(string? hotelId = null, string? taxRangeType = null, CancellationToken ct = default)

Get package groups

GET /rtp/v1/hotels/{hotelId}/packageGroups · hotel-scoped

Task<PackageGroupsInfo?> ctx.Ohip.Api.Rtp.GetPackageGroupsAsync(string? hotelId = null, string? code = null, string? descriptionWildCard = null, string[]? hotelIds = null, bool? includeOnlySeparateLinePackages = null, int? limit = null, CancellationToken ct = default)

Get package rates

GET /rtp/v1/hotels/{hotelId}/packages/{packageCode}/rates · hotel-scoped

Task<PackageRates?> ctx.Ohip.Api.Rtp.GetPackageRatesAsync(string packageCode, string? hotelId = null, int? limit = null, CancellationToken ct = default)

Get packages

GET /rtp/v1/packages · chain-level

Task<PackagesInfo?> ctx.Ohip.Api.Rtp.GetPackagesAsync(Action<PackagesRequestBuilderGetQueryParameters>? query = null, CancellationToken ct = default)

Get promotion codes

GET /rtp/v1/hotels/{hotelId}/promotionCodes · hotel-scoped

Task<PropertyPromotionCodes?> ctx.Ohip.Api.Rtp.GetPromotionCodesAsync(string? hotelId = null, string? description = null, bool? includeInactive = null, int? limit = null, int? offset = null, string[]? promotionCode = null, string[]? promotionGroup = null, Date? promotionsValidAfterDate = null, string? rateCodes = null, CancellationToken ct = default)

Get promotion coupon code

GET /rtp/v1/hotels/{hotelId}/promotionCodes/{promotionCode}/coupons/{couponId} · hotel-scoped

Task<GetPromotionCouponCode?> ctx.Ohip.Api.Rtp.GetPromotionCouponCodeAsync(string promotionCode, int couponId, string? hotelId = null, CancellationToken ct = default)

Get promotion coupon codes

GET /rtp/v1/hotels/{hotelId}/promotionCodes/{promotionCode}/coupons · hotel-scoped

Task<GetPromotionCouponCodes?> ctx.Ohip.Api.Rtp.GetPromotionCouponCodesAsync(string promotionCode, string? hotelId = null, string[]? batchCode = null, string? couponCode = null, Date? createdOn = null, bool? includeInactive = null, int? limit = null, int? offset = null, CancellationToken ct = default)

Get promotion groups

GET /rtp/v1/hotels/{hotelId}/promotionGroups · hotel-scoped

Task<PromotionGroups?> ctx.Ohip.Api.Rtp.GetPromotionGroupsAsync(string? hotelId = null, string[]? code = null, string? description = null, bool? includeInactive = null, int? limit = null, int? offset = null, string[]? promotionGroupListCode = null, string? rateCodes = null, CancellationToken ct = default)

Get rate activity log

GET /rtp/v1/hotels/{hotelId}/rates/activityLog · hotel-scoped

Task<RateActivityLog?> ctx.Ohip.Api.Rtp.GetRateActivityLogAsync(string? hotelId = null, Action<ActivityLogRequestBuilderGetQueryParameters>? query = null, CancellationToken ct = default)

Get Rate Category

GET /rtp/v1/hotels/{hotelId}/rateCategories · hotel-scoped

Task<RateCategoryDetails?> ctx.Ohip.Api.Rtp.GetRateCategoryAsync(string? hotelId = null, string[]? hotelIds = null, bool? includeInactive = null, int? limit = null, int? offset = null, string? rateCategoryDescription = null, string[]? rateCategoryListCodes = null, CancellationToken ct = default)

Get rate classes

GET /rtp/v1/hotels/{hotelId}/rateClasses · hotel-scoped

Task<RateClassDetails?> ctx.Ohip.Api.Rtp.GetRateClassAsync(string? hotelId = null, string? description = null, string[]? hotelIds = null, bool? includeInactive = null, int? limit = null, int? offset = null, string[]? rateClassListCodes = null, CancellationToken ct = default)

Get rate groups

GET /rtp/v1/hotels/{hotelId}/rateGroups · hotel-scoped

Task<RateGroupsInfo?> ctx.Ohip.Api.Rtp.GetRateGroupsAsync(string? hotelId = null, string[]? code = null, string? description = null, int? limit = null, int? offset = null, string? wildCard = null, CancellationToken ct = default)

Get rate plan

GET /rtp/v1/hotels/{hotelId}/ratePlans/{ratePlanCode} · hotel-scoped

Task<RatePlanInfo?> ctx.Ohip.Api.Rtp.GetRatePlanAsync(string ratePlanCode, string? hotelId = null, GetFetchInstructionsQueryParameterType[]? fetchInstructions = null, CancellationToken ct = default)

Get rate plan metrics

GET /rtp/v1/hotels/{hotelId}/ratePlans/{ratePlanCode}/metrics · hotel-scoped

Task<RatePlanMetrics?> ctx.Ohip.Api.Rtp.GetRatePlanMetricsAsync(string ratePlanCode, string? hotelId = null, GetFieldsQueryParameterType[]? fields = null, CancellationToken ct = default)

Get rate plans

GET /rtp/v1/ratePlans · chain-level

Task<RatePlansSummary?> ctx.Ohip.Api.Rtp.GetRatePlansAsync(Action<RatePlansRequestBuilderGetQueryParameters>? query = null, CancellationToken ct = default)

Get rate plans by Hotel Code

GET /rtp/v1/hotels/{hotelId}/ratePlans · hotel-scoped

Task<RatePlanInfo?> ctx.Ohip.Api.Rtp.GetRatePlansByHotelAsync(string? hotelId = null, GetFetchInstructionsQueryParameterType[]? fetchInstructions = null, GetPostingIntervalQueryParameterType[]? postingInterval = null, string? ratePlanCode = null, CancellationToken ct = default)

Get rate plan schedules

GET /rtp/v1/hotels/{hotelId}/ratePlans/{ratePlanCode}/schedules · hotel-scoped

Task<RatePlanSchedulesInfo?> ctx.Ohip.Api.Rtp.GetRatePlanSchedulesAsync(string ratePlanCode, string? hotelId = null, Action<SchedulesRequestBuilderGetQueryParameters>? query = null, CancellationToken ct = default)

Get rate plan schedule yield adjustments

GET /rtp/v1/hotels/{hotelId}/ratePlan/schedule/yieldAdjustment · hotel-scoped

Task<RatePlanScheduleYieldAdjustments?> ctx.Ohip.Api.Rtp.GetRatePlanScheduleYieldAdjustmentsAsync(string? hotelId = null, string? id = null, int? limit = null, string? ratePlanCode = null, bool? summaryInfo = null, CancellationToken ct = default)

Get rate plans for a given block

GET /rtp/v1/hotels/{hotelId}/blocks/ratePlans · hotel-scoped

Task<BlockRatePlans?> ctx.Ohip.Api.Rtp.GetRatePlansForBlockAsync(string? hotelId = null, Action<RatePlansRequestBuilderGetQueryParameters>? query = null, CancellationToken ct = default)

Get Hotel Rate Seasons

GET /rtp/v1/hotels/{hotelId}/rateSeasons · hotel-scoped

Task<RateSeasonsDetails?> ctx.Ohip.Api.Rtp.GetRateSeasonsAsync(string? hotelId = null, string[]? hotelIds = null, int? limit = null, int? offset = null, string[]? seasonsCodes = null, CancellationToken ct = default)

Get rate strategies

GET /rtp/v1/hotels/{hotelId}/rateStrategies · hotel-scoped

Task<RateStrategies?> ctx.Ohip.Api.Rtp.GetRateStrategiesAsync(string? hotelId = null, int? limit = null, int? offset = null, Date? restrictionDate = null, CancellationToken ct = default)

Get Control Segment Templates

GET /rtp/v1/controlSegmentTemplates · chain-level

Task<TemplateControlSegmentDetails?> ctx.Ohip.Api.Rtp.GetTemplateControlSegmentsAsync(string[]? controlSegmentCodes = null, bool? includeInactive = null, int? limit = null, string[]? membershipLevel = null, string? membershipType = null, int? pageNumber = null, CancellationToken ct = default)

Get Template Package Forecast Groups

GET /rtp/v1/packageForecastGroups · chain-level

Task<TemplatePackageForecastGroups?> ctx.Ohip.Api.Rtp.GetTemplatePackageForecastGroupsAsync(bool? includeInactive = null, string[]? packageForecastGroupCode = null, string? wildCard = null, CancellationToken ct = default)

Get Template Promotion Codes

GET /rtp/v1/promotionCodes · chain-level

Task<TemplatePromotionCodes?> ctx.Ohip.Api.Rtp.GetTemplatePromotionCodesAsync(string? description = null, string[]? hotelIdValue = null, bool? includeInactive = null, int? limit = null, int? offset = null, string[]? promotionCode = null, string[]? promotionGroup = null, string? rateCodes = null, CancellationToken ct = default)

Get promotion coupon code at template level.

GET /rtp/v1/promotionCodes/{promotionCode}/coupons/{couponId} · chain-level

Task<GetPromotionCouponCode?> ctx.Ohip.Api.Rtp.GetTemplatePromotionCouponCodeAsync(string promotionCode, int couponId, CancellationToken ct = default)

Get promotion coupon codes at template level.

GET /rtp/v1/promotionCodes/{promotionCode}/coupons · chain-level

Task<GetPromotionCouponCodes?> ctx.Ohip.Api.Rtp.GetTemplatePromotionCouponCodesAsync(string promotionCode, string[]? batchCode = null, string? couponCode = null, Date? createdOn = null, string[]? hotelIdValue = null, bool? includeInactive = null, int? limit = null, int? offset = null, CancellationToken ct = default)

Get Template Rate Categories

GET /rtp/v1/templates/rateCategories · chain-level

Task<TemplateRateCategoryDetails?> ctx.Ohip.Api.Rtp.GetTemplateRateCategoryAsync(bool? includeInactive = null, string? rateCategoryDescription = null, string[]? rateCategoryListCodes = null, CancellationToken ct = default)

Get template rate classes

GET /rtp/v1/templates/rateClasses · chain-level

Task<TemplateRateClassDetails?> ctx.Ohip.Api.Rtp.GetTemplateRateClassAsync(string? description = null, string[]? hotelIds = null, bool? includeInactive = null, int? limit = null, int? offset = null, string[]? rateClassListCodes = null, CancellationToken ct = default)

Get Template Rate Seasons

GET /rtp/v1/templates/rateSeasons · chain-level

Task<TemplateRateSeasonsDetails?> ctx.Ohip.Api.Rtp.GetTemplateRateSeasonsAsync(string[]? seasonCodes = null, CancellationToken ct = default)

Get yield adjustments

GET /rtp/v1/hotels/{hotelId}/yieldAdjustments · hotel-scoped

Task<YieldAdjustments?> ctx.Ohip.Api.Rtp.GetYieldAdjustmentsAsync(string? hotelId = null, string? currencyCode = null, int? limit = null, CancellationToken ct = default)

Inactivate promotion coupon codes for a given batch code.

PUT /rtp/v1/promotionCodes/{promotionCode}/coupons/inactivate · chain-level

Task<Status?> ctx.Ohip.Api.Rtp.InactivatePromotionCouponBatchCodeAsync(string promotionCode, InactivatePromotionCouponBatchCodeType body, CancellationToken ct = default)

Manages rate plan schedules

PUT /rtp/v1/ratePlanSchedules · chain-level

Task<Status?> ctx.Ohip.Api.Rtp.ManageRatePlansSchedulesAsync(RatePlansSchedulesToManage body, CancellationToken ct = default)

Get Rate plan service version

GET /rtp/v1/services/rateplan/status · chain-level

Task<OperaVersion?> ctx.Ohip.Api.Rtp.PingRatePlanServiceAsync(CancellationToken ct = default)

Create a Best Available Rates

POST /rtp/v1/hotels/{hotelId}/bestavailablerates · hotel-scoped

Task<Status?> ctx.Ohip.Api.Rtp.PostBestAvailableRatesAsync(CreateBestAvailableRates body, string? hotelId = null, CancellationToken ct = default)

Create a new Control Segment

POST /rtp/v1/hotels/{hotelId}/controlSegments/{controlSegmentCode} · hotel-scoped

Task<Status?> ctx.Ohip.Api.Rtp.PostControlSegmentAsync(string controlSegmentCode, PropertyControlSegmentType body, string? hotelId = null, CancellationToken ct = default)

Create Display Sets

POST /rtp/v1/displaySets · chain-level

Task<Status?> ctx.Ohip.Api.Rtp.PostDisplaySetsAsync(DisplaySetsCriteria body, CancellationToken ct = default)

Create Hotel Package Forecast Groups

POST /rtp/v1/hotels/{hotelId}/packageForecastGroups · hotel-scoped

Task<Status?> ctx.Ohip.Api.Rtp.PostHotelPackageForecastGroupsAsync(HotelPackageForecastGroupsToCreate body, string? hotelId = null, CancellationToken ct = default)

Create negotiated rates

POST /rtp/v1/hotels/{hotelId}/negotiatedRates · hotel-scoped

Task<Status?> ctx.Ohip.Api.Rtp.PostNegotiatedRatesAsync(NegotiatedRates body, string? hotelId = null, CancellationToken ct = default)

Create package

POST /rtp/v1/hotels/{hotelId}/packages/{packageCode} · hotel-scoped

Task<Status?> ctx.Ohip.Api.Rtp.PostPackageAsync(string packageCode, PackageInfo body, string? hotelId = null, CancellationToken ct = default)

Create package formula ranges

POST /rtp/v1/hotels/{hotelId}/packageFormulaRanges · hotel-scoped

Task<Status?> ctx.Ohip.Api.Rtp.PostPackageFormulaRangesAsync(PackageFormulaRanges body, string? hotelId = null, CancellationToken ct = default)

Create package group

POST /rtp/v1/hotels/{hotelId}/packageGroups · hotel-scoped

Task<Status?> ctx.Ohip.Api.Rtp.PostPackageGroupAsync(PackageGroup body, string? hotelId = null, CancellationToken ct = default)

Create promotion codes

POST /rtp/v1/hotels/{hotelId}/promotionCodes/{promotionCode} · hotel-scoped

Task<Status?> ctx.Ohip.Api.Rtp.PostPromotionCodeAsync(string promotionCode, PropertyPromotionCode body, string? hotelId = null, CancellationToken ct = default)

Create promotion groups

POST /rtp/v1/hotels/{hotelId}/promotionGroups/{groupCode} · hotel-scoped

Task<Status?> ctx.Ohip.Api.Rtp.PostPromotionGroupAsync(string groupCode, PromotionGroup body, string? hotelId = null, CancellationToken ct = default)

Create Rate Category

POST /rtp/v1/hotels/{hotelId}/rateCategories · hotel-scoped

Task<Status?> ctx.Ohip.Api.Rtp.PostRateCategoryAsync(RateCategoryCriteria body, string? hotelId = null, CancellationToken ct = default)

Create new rate class

POST /rtp/v1/hotels/{hotelId}/rateClasses · hotel-scoped

Task<Status?> ctx.Ohip.Api.Rtp.PostRateClassAsync(RateClassCriteria body, string? hotelId = null, CancellationToken ct = default)

Create rate groups

POST /rtp/v1/hotels/{hotelId}/rateGroups · hotel-scoped

Task<Status?> ctx.Ohip.Api.Rtp.PostRateGroupsAsync(RateGroups body, string? hotelId = null, CancellationToken ct = default)

Create rate plans

POST /rtp/v1/hotels/{hotelId}/ratePlans · hotel-scoped

Task<Status?> ctx.Ohip.Api.Rtp.PostRatePlanAsync(RatePlan body, string? hotelId = null, CancellationToken ct = default)

Create rate plan package

POST /rtp/v1/hotels/{hotelId}/ratePlans/{ratePlanCode}/packages · hotel-scoped

Task<Status?> ctx.Ohip.Api.Rtp.PostRatePlanPackagesAsync(string ratePlanCode, RatePlanPackages body, string? hotelId = null, CancellationToken ct = default)

Create rate plan posting rhythms

POST /rtp/v1/hotels/{hotelId}/ratePlans/{ratePlanCode}/postingRhythms · hotel-scoped

Task<Status?> ctx.Ohip.Api.Rtp.PostRatePlanPostingRhythmsAsync(string ratePlanCode, RatePlanPostingRhythms body, string? hotelId = null, CancellationToken ct = default)

Create rate plan schedules

POST /rtp/v1/hotels/{hotelId}/ratePlans/{ratePlanCode}/schedules · hotel-scoped

Task<Status?> ctx.Ohip.Api.Rtp.PostRatePlanSchedulesAsync(string ratePlanCode, RatePlanSchedulesToCreate body, string? hotelId = null, CancellationToken ct = default)

Create Hotel Rate Seasons

POST /rtp/v1/hotels/{hotelId}/rateSeasons · hotel-scoped

Task<Status?> ctx.Ohip.Api.Rtp.PostRateSeasonsAsync(RateSeasonsCriteria body, string? hotelId = null, CancellationToken ct = default)

Create rate strategies

POST /rtp/v1/hotels/{hotelId}/rateStrategies · hotel-scoped

Task<Status?> ctx.Ohip.Api.Rtp.PostRateStrategyAsync(RateStrategy body, string? hotelId = null, CancellationToken ct = default)

Create Control Segment Template

POST /rtp/v1/controlSegmentTemplate/{controlSegmentCode} · chain-level

Task<Status?> ctx.Ohip.Api.Rtp.PostTemplateControlSegmentAsync(string controlSegmentCode, TemplateControlSegmentCriteria body, CancellationToken ct = default)

Create Template Package Forecast Groups

POST /rtp/v1/packageForecastGroups · chain-level

Task<Status?> ctx.Ohip.Api.Rtp.PostTemplatePackageForecastGroupsAsync(TemplatePackageForecastGroups body, CancellationToken ct = default)

Create Template Promotion Code

POST /rtp/v1/promotionCodes/{promotionCode} · chain-level

Task<Status?> ctx.Ohip.Api.Rtp.PostTemplatePromotionCodeAsync(string promotionCode, TemplatePromotionCode body, CancellationToken ct = default)

Create a Template Rate Category

POST /rtp/v1/templates/rateCategories · chain-level

Task<Status?> ctx.Ohip.Api.Rtp.PostTemplateRateCategoryAsync(TemplateRateCategoryCriteria body, CancellationToken ct = default)

Create new template rate class

POST /rtp/v1/templates/rateClasses · chain-level

Task<Status?> ctx.Ohip.Api.Rtp.PostTemplateRateClassAsync(TemplateRateClassCriteria body, CancellationToken ct = default)

Create Template Rate Seasons

POST /rtp/v1/templates/rateSeasons · chain-level

Task<Status?> ctx.Ohip.Api.Rtp.PostTemplateRateSeasonsAsync(TemplateRateSeasonsCriteria body, CancellationToken ct = default)

Change Display Sets

PUT /rtp/v1/displaySets/{displaySetsId} · chain-level

Task<Status?> ctx.Ohip.Api.Rtp.PutDisplaySetsAsync(string displaySetsId, DisplaySetsToBeChanged body, CancellationToken ct = default)

Change Hotel Package Forecast Groups

PUT /rtp/v1/hotels/{hotelId}/packageForecastGroups · hotel-scoped

Task<Status?> ctx.Ohip.Api.Rtp.PutHotelPackageForecastGroupsAsync(HotelPackageForecastGroupsToChange body, string? hotelId = null, CancellationToken ct = default)

Change negotiated rates

PUT /rtp/v1/hotels/{hotelId}/negotiatedRates/{rateCode} · hotel-scoped

Task<NegotiatedRatesDetails?> ctx.Ohip.Api.Rtp.PutNegotiatedRatesAsync(string rateCode, NegotiatedRates body, string? hotelId = null, CancellationToken ct = default)

Change the package

PUT /rtp/v1/hotels/{hotelId}/packages/{packageCode} · hotel-scoped

Task<Status?> ctx.Ohip.Api.Rtp.PutPackageAsync(string packageCode, PackageInfo body, string? hotelId = null, CancellationToken ct = default)

Change package formula ranges

PUT /rtp/v1/hotels/{hotelId}/packageFormulaRanges/{packageFormulaRangeId} · hotel-scoped

Task<Status?> ctx.Ohip.Api.Rtp.PutPackageFormulaRangesAsync(string packageFormulaRangeId, PackageFormulaRanges body, string? hotelId = null, CancellationToken ct = default)

Change package group

PUT /rtp/v1/hotels/{hotelId}/packageGroups · hotel-scoped

Task<Status?> ctx.Ohip.Api.Rtp.PutPackageGroupAsync(PackageGroup body, string? hotelId = null, CancellationToken ct = default)

Change promotion codes

PUT /rtp/v1/hotels/{hotelId}/promotionCodes/{promotionCode} · hotel-scoped

Task<Status?> ctx.Ohip.Api.Rtp.PutPromotionCodeAsync(string promotionCode, PropertyPromotionCode body, string? hotelId = null, CancellationToken ct = default)

Update promotion coupon codes

PUT /rtp/v1/hotels/{hotelId}/promotionCodes/{promotionCode}/coupons/{couponId} · hotel-scoped

Task<Status?> ctx.Ohip.Api.Rtp.PutPromotionCouponCodeAsync(string promotionCode, int couponId, UpdatePromotionCouponCode body, string? hotelId = null, CancellationToken ct = default)

Change promotion groups

PUT /rtp/v1/hotels/{hotelId}/promotionGroups/{groupCode} · hotel-scoped

Task<Status?> ctx.Ohip.Api.Rtp.PutPromotionGroupAsync(string groupCode, PromotionGroup body, string? hotelId = null, CancellationToken ct = default)

Change rate groups

PUT /rtp/v1/hotels/{hotelId}/rateGroups · hotel-scoped

Task<Status?> ctx.Ohip.Api.Rtp.PutRateGroupsAsync(RateGroups body, string? hotelId = null, CancellationToken ct = default)

Change rate plan

PUT /rtp/v1/hotels/{hotelId}/ratePlans/{ratePlanCode} · hotel-scoped

Task<Status?> ctx.Ohip.Api.Rtp.PutRatePlanAsync(string ratePlanCode, RatePlan body, string? hotelId = null, CancellationToken ct = default)

Change rate plan package

PUT /rtp/v1/hotels/{hotelId}/ratePlans/{ratePlanCode}/packages · hotel-scoped

Task<Status?> ctx.Ohip.Api.Rtp.PutRatePlanPackagesAsync(string ratePlanCode, RatePlanPackages body, string? hotelId = null, CancellationToken ct = default)

Change rate plan posting rhythms

PUT /rtp/v1/hotels/{hotelId}/ratePlans/{ratePlanCode}/postingRhythms · hotel-scoped

Task<Status?> ctx.Ohip.Api.Rtp.PutRatePlanPostingRhythmsAsync(string ratePlanCode, RatePlanPostingRhythms body, string? hotelId = null, CancellationToken ct = default)

Change rate plan schedules

PUT /rtp/v1/hotels/{hotelId}/ratePlans/{ratePlanCode}/schedules · hotel-scoped

Task<Status?> ctx.Ohip.Api.Rtp.PutRatePlanSchedulesAsync(string ratePlanCode, RatePlanSchedules body, string? hotelId = null, CancellationToken ct = default)

Change rate strategies

PUT /rtp/v1/hotels/{hotelId}/rateStrategies/{rateStrategyId} · hotel-scoped

Task<Status?> ctx.Ohip.Api.Rtp.PutRateStrategyAsync(string rateStrategyId, RateStrategy body, string? hotelId = null, CancellationToken ct = default)

Change Template Package Forecast Groups

PUT /rtp/v1/packageForecastGroups · chain-level

Task<Status?> ctx.Ohip.Api.Rtp.PutTemplatePackageForecastGroupsAsync(TemplatePackageForecastGroups body, CancellationToken ct = default)

Change Template Promotion Code

PUT /rtp/v1/promotionCodes/{promotionCode} · chain-level

Task<Status?> ctx.Ohip.Api.Rtp.PutTemplatePromotionCodeAsync(string promotionCode, TemplatePromotionCode body, CancellationToken ct = default)

Update promotion coupon codeat template level.

PUT /rtp/v1/promotionCodes/{promotionCode}/coupons/{couponId} · chain-level

Task<Status?> ctx.Ohip.Api.Rtp.PutTemplatePromotionCouponCodeAsync(string promotionCode, int couponId, UpdatePromotionCouponCode body, CancellationToken ct = default)

Create/Change package formula ranges

PUT /rtp/v1/upsert/hotels/{hotelId}/packageFormulaRanges · hotel-scoped

Task<Status?> ctx.Ohip.Api.Rtp.PutUpsertPackageFormulaRangesAsync(PackageFormulaRanges body, string? hotelId = null, CancellationToken ct = default)

Change/Create promotion codes

PUT /rtp/v1/upsert/hotels/{hotelId}/promotionCodes/{promotionCode} · hotel-scoped

Task<Status?> ctx.Ohip.Api.Rtp.PutUpsertPromotionCodeAsync(string promotionCode, PropertyPromotionCode body, string? hotelId = null, CancellationToken ct = default)

Change/Create rate groups

PUT /rtp/v1/upsert/hotels/{hotelId}/rateGroups · hotel-scoped

Task<Status?> ctx.Ohip.Api.Rtp.PutUpsertRateGroupsAsync(RateGroups body, string? hotelId = null, CancellationToken ct = default)

Create/Change rate strategies

PUT /rtp/v1/upsert/hotels/{hotelId}/rateStrategies · hotel-scoped

Task<Status?> ctx.Ohip.Api.Rtp.PutUpsertRateStrategyAsync(RateStrategy body, string? hotelId = null, CancellationToken ct = default)

Change/create Template Promotion Code

PUT /rtp/v1/upsert/promotionCodes/{promotionCode} · chain-level

Task<Status?> ctx.Ohip.Api.Rtp.PutUpsertTemplatePromotionCodeAsync(string promotionCode, TemplatePromotionCode body, CancellationToken ct = default)

Delete a Control Segment

DELETE /rtp/v1/hotels/{hotelId}/controlSegments/{controlSegmentCode} · hotel-scoped

Task<Status?> ctx.Ohip.Api.Rtp.RemoveControlSegmentAsync(string controlSegmentCode, string? hotelId = null, CancellationToken ct = default)

Delete Hotel Rate Seasons

DELETE /rtp/v1/hotels/{hotelId}/rateSeasons/{seasonCode} · hotel-scoped

Task<Status?> ctx.Ohip.Api.Rtp.RemoveRateSeasonsAsync(string seasonCode, string? hotelId = null, CancellationToken ct = default)

Delete Control Segment Template

DELETE /rtp/v1/controlSegmentTemplate/{controlSegmentCode} · chain-level

Task<Status?> ctx.Ohip.Api.Rtp.RemoveTemplateControlSegmentAsync(string controlSegmentCode, CancellationToken ct = default)

Delete Template Rate Seasons

DELETE /rtp/v1/templates/rateSeasons/{seasonCode} · chain-level

Task<Status?> ctx.Ohip.Api.Rtp.RemoveTemplateRateSeasonsAsync(string seasonCode, CancellationToken ct = default)

Save the package description to the AI Author Service.

PUT /rtp/v1/packages/text/{responseId} · chain-level

Task<SavePackageCodeDescriptionResponse?> ctx.Ohip.Api.Rtp.SavePackageCodeDescriptionAsync(string responseId, SavePackageCodeDescriptionRequest body, CancellationToken ct = default)

Set daily rate plan schedule range

PUT /rtp/v1/hotels/{hotelId}/ratePlans/{ratePlanCode}/dailySchedules · hotel-scoped

Task<Status?> ctx.Ohip.Api.Rtp.SetDailyRatePlanScheduleRangeAsync(string ratePlanCode, DailyRatePlanScheduleRange body, string? hotelId = null, CancellationToken ct = default)

Set mass rate plan schedules

PUT /rtp/v1/hotels/{hotelId}/massRatePlanSchedules · hotel-scoped · deprecated

Task<Status?> ctx.Ohip.Api.Rtp.SetMassRatePlanSchedulesAsync(MassRatePlanSchedules body, string? hotelId = null, CancellationToken ct = default)

Set rate access exclusions

PUT /rtp/v1/hotels/{hotelId}/rateAccessExclusions · hotel-scoped

Task<Status?> ctx.Ohip.Api.Rtp.SetRateAccessExclusionsAsync(RateAccessExclusions body, string? hotelId = null, CancellationToken ct = default)

Set rate plan schedules

PUT /rtp/v1/hotels/{hotelId}/ratePlans/{ratePlanCode}/schedules/set · hotel-scoped

Task<Status?> ctx.Ohip.Api.Rtp.SetRatePlanSchedulesAsync(string ratePlanCode, RatePlanSchedulesToSet body, string? hotelId = null, CancellationToken ct = default)

Set rate strategies

POST /rtp/v1/rateStrategies · chain-level

Task<Status?> ctx.Ohip.Api.Rtp.SetRateStrategiesAsync(RateStrategiesToSet body, CancellationToken ct = default)

Split rate plan schedule

POST /rtp/v1/hotels/{hotelId}/ratePlanSchedules/{scheduleId}/split · hotel-scoped

Task<Status?> ctx.Ohip.Api.Rtp.SplitRatePlanScheduleAsync(string scheduleId, RatePlanScheduleToSplit body, string? hotelId = null, CancellationToken ct = default)

Synchronizes Rate Plan information including Rate Header and Packages across target properties.

PUT /rtp/v1/hotels/{hotelId}/ratePlans/sync · hotel-scoped

Task<Status?> ctx.Ohip.Api.Rtp.SyncRatePlansAsync(RatePlansSync body, string? hotelId = null, CancellationToken ct = default)

Validate a coupon code

GET /rtp/v1/hotels/{hotelId}/rates/coupons/{couponCode} · hotel-scoped

Task<PromotionCouponValidationDetails?> ctx.Ohip.Api.Rtp.ValidateRateCouponAsync(string couponCode, string? hotelId = null, CancellationToken ct = default)

Validate a promotion code

GET /rtp/v1/hotels/{hotelId}/rates/promotions/{promotionCode} · hotel-scoped

Task<PromotionCouponValidationDetails?> ctx.Ohip.Api.Rtp.ValidateRatePromotionAsync(string promotionCode, string? hotelId = null, CancellationToken ct = default)

Validate promotion and coupon code

GET /rtp/v1/hotels/{hotelId}/rates/promotionsCoupons · hotel-scoped

Task<PromotionCouponValidationDetails?> ctx.Ohip.Api.Rtp.ValidateRatePromotionCouponAsync(string? hotelId = null, string? couponCode = null, Date? endDate = null, string? promotionCode = null, Date? startDate = null, CancellationToken ct = default)